#include <cassert>
#include <cstdio>

int main() {
  assert(freopen("equation.in", "r", stdin));
  assert(freopen("equation.out", "w", stdout));

  int n;
  assert(scanf("%d", &n) == 1);

  int ans = 0;
  for (int x = 0; 2 * x + x * x <= n; x++) {
    if ((n - x) % (x + 1) != 0)
      continue;
    int y = (n - x) / (x + 1);
    ans += 1 + (x != y);
  }

  printf("%d\n", ans);

  return 0;
}

